<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">

<!-- @url https://www.w3schools.com/html/default.asp -->
<!-- @url https://leafletjs.com/examples/quick-start/ -->

<title>Projet perso 1</title>
<link rel="stylesheet"
	href="https://unpkg.com/leaflet@1.3.4/dist/leaflet.css"
	integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
	crossorigin="" />
<script src="https://unpkg.com/leaflet@1.3.4/dist/leaflet.js"
	integrity="sha512-nMMmRyTVoLYqjP9hrbed9S+FzjZHW5gY1TWCHA5ckwXZBadntCNs8kEqAWdrb9O7rxbCaA4lKTIWjDXZxflOcA=="
	crossorigin=""></script>
<script src="fct.js"></script>


</head>
<body>
	<script> initWindow(); </script>

	Projet perso : IHM pour tester API REST
	<br />
	<br />

	<label for="file">Choisissez un fichier GeoJson</label>
	<br />

	<input type="file" id="file" />
	<pre id="info">    </pre>
	<br />
	<br />

	<div id="mapid" style="width: 600px; height: 400px;"></div>
	<script> initLeaflet(); </script>
	<br />
	<br />


	<br /> Angle de rotation (en deg)
	<input type="number" name="angleRotation" id="angleRotation"
		value="0.0">
	<button id="myBtn" onclick="javascript:SendDataToApiREST( 'rotation', DataGetAngle() )"> Rotation</button>
	<br /> Translation en X (en m)
	<input type="number" name="tX" id="tX" value="0.0">
	Translation en Y (en m) 
	<input type="number" name="tY" id="tY" value="0.0">
	<button id="myBtn" onclick="javascript:SendDataToApiREST( 'translation', DataGetVecteur() )">Translation</button>
	<br />


	<br />
	<br />
	<div id="div_tache">
		Liste des tâches
		<pre id="tache"></pre>
		<br />
	</div>
	<div id='div_resultat'>
		Liste des résultats
		<pre id="resultat"></pre>
		<br />
	</div>
</body>
</html>